//###########################################\\
//#####                              	#####\\
//#####	  Set Crowns Multiplier 1.2.x  	#####\\
//#####           by pMarK           	#####\\
//#####                              	#####\\
//###########################################\\

class CrownsMultiplier {
	
	private var inGameConfigWrapper : CInGameConfigWrapper;
	
	private var isModOn : bool;
	
	private var crownMult : float;
	
	public function Init()
	{
		inGameConfigWrapper = theGame.GetInGameConfigWrapper();
		
		isModOn = inGameConfigWrapper.GetVarValue('SCM', 'switch');
		
		crownMult = StringToFloat(inGameConfigWrapper.GetVarValue('SCM', 'mult'));
	}
	
	public function GetIsModOn() : bool { isModOn = inGameConfigWrapper.GetVarValue('SCM', 'switch'); return isModOn; }
	public function GetCrownMultiplier() : float { crownMult = StringToFloat(inGameConfigWrapper.GetVarValue('SCM', 'mult')); return crownMult; }
}